<h1>Tarify</h1>
<?php include_once('i_menu.phtml'); ?>
<table class="overview">
    <?php
    foreach ($this->countries_data as $value) {?>
        <tr>
            <td colspan=8 style='background-color: red'>Tarif <?= $value['price_set_id'] ?> pro země
                <?php
                foreach ($value['countries'] as $country) {
                    echo $country . " ";
                }?>
            </td>
        </tr>
        <tr>
            <td>ID</td>
            <td>typ dopravy</td>
            <td>váhové kategorie</td>
            <td>cena kč</td>
            <td>cena euro</td>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
        </tr>
        <?php
        foreach ($value['prices'] as $val) {
            echo "<tr>";
            echo "<form action='/admin/shipping/save/' method='post' enctype='multipart/form-data'>";
            echo "<input type='hidden' name='save' value='rate'>";
            echo "<input type='hidden' name='id' value='" . $val['id'] . "'>";
            echo "<input type='hidden' name='redirect' value='rates'>";
            echo "<td>" . $val['id'] . "</td>";
            echo "<td>" . $val['title_cz'] . "</td>";
            echo "<td>od " . $val['weight_from'] . " kg do " . $val['weight_till'] . " kg</td>";
            echo "<td><input type='text' name='price_cz' value='" . $val['price_cz'] . "'> kč</td>";            
            echo "<td><input type='text' name='price_de' value='" . $val['price_de'] . "'> €</td>";
            echo "<td><input type='submit' value='Uložit'></td>";            
            echo "</form>";
            if ($val['id'] < 101) {
                echo "<td>&nbsp;</td>";
            } else {
                echo "<form action='/admin/shipping/deleterate/' method='post' enctype='multipart/form-data'>";
                echo "<input type='hidden' name='id' value='" . $val['id'] . "'>";
                echo "<td><input type='submit' value='Smazat' onclick='return confirm(\"Chcete smazat tento záznam tarifu? \")'></td>";
                echo "</form>";
            }
            echo "</tr>";
        }
    }
    ?>
</table>
<table class="overview">
    <tr>
        <th style='background-color: red' colspan='7'>
            Přidat záznam tarifu.
        </th>
    </tr>
    <tr>
        <td>
            ID tarifu
        </td>
        <td>
            doprava
        </td>
        <td>
            váha od
        </td>
        <td>
            váha do
        </td>
        <td>
            cena
        </td>
        <td>
            cena
        </td>
        <td>
            &nbsp;
        </td>
    </tr>
    <form action='/admin/shipping/saverate/' method='post' enctype='multipart/form-data'>
        <tr>
            <td>
                <input type='text' name='price_set_id' value='' style="width: 30px"/>
            </td>
            <td>
                <select name='shipping_id' style="width: 160px">
                    <?php 
                    foreach ($this->delivery_data as $value) {
                        echo "<option value='".$value['shipping_id']."'>".$value['title_cz']."</option>";
                    }
                    ?>                    
                </select>
            </td>
            <td>
                <input type='text' name='weight_from' value='0.0' style="width: 90px"/>kg
            </td>
            <td>
                <input type='text' name='weight_till' value='0.0' style="width: 90px"/>kg
            </td>
            <td>
                <input type='text' name='price_cz' value='' style="width: 90px"/>kč
            </td>
            <td>
                <input type='text' name='price_de' value='' style="width: 90px"/>€
            </td>
            <td>
                <input type='submit' value='Uložit'>
            </td>
        </tr>
    </form>
    <tr>
        <td colspan=6>
            Pokud použijeme existující ID tarifu, tak se záznam přidá do již existující skupiny (např tarif s ID 2 se přiřadí do skupiny tarifů pro slovensko). 
            Můžete ale použít i nové ID tarifu.
        </td>
    </tr>
</table>